<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2024 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
namespace Modules\Account\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\BaseController;
use Modules\Account\Services\AdminBillService;

class Bill extends BaseController {

	/**
	 * @title 账单列表
	 *
	 * @param Request $request
	 * @param BillService $service
	 * @return void
	 */
	public function index(Request $request, AdminBillService $service) {
		try {
			$this->data['data'] = $service->getDataList($request);
		} catch (\Exception $e) {
			$this->data['code'] = 0;
			$this->data['message'] = $e->getMessage();
		}
		return response()->json($this->data);
	}

	/**
	 * @title 添加账单
	 *
	 * @param Request $request
	 * @param BillService $service
	 * @return void
	 */
	public function add(Request $request, AdminBillService $service) {
		try {
			$this->data['data'] = $service->create($request);
		} catch (\Exception $e) {
			$this->data['code'] = 0;
			$this->data['message'] = $e->getMessage();
		}
		return response()->json($this->data);
	}

	/**
	 * @title 编辑账单
	 *
	 * @param Request $request
	 * @param BillService $service
	 * @return void
	 */
	public function edit(Request $request, AdminBillService $service) {
		try {
			$this->data['data'] = $service->update($request);
		} catch (\Exception $e) {
			$this->data['code'] = 0;
			$this->data['message'] = $e->getMessage();
		}
		return response()->json($this->data);
	}

	/**
	 * @title 删除账单
	 *
	 * @param Request $request
	 * @param BillService $service
	 * @return void
	 */
	public function delete(Request $request, AdminBillService $service) {
		try {
			$this->data['data'] = $service->delete($request);
		} catch (\Exception $e) {
			$this->data['code'] = 0;
			$this->data['message'] = $e->getMessage();
		}
		return response()->json($this->data);
	}

	/**
	 * @title 账单详情
	 *
	 * @param Request $request
	 * @param BillService $service
	 * @return void
	 */
	public function detail(Request $request, AdminBillService $service) {
		try {
			$this->data['data'] = $service->detail($request);
		} catch (\Exception $e) {
			$this->data['code'] = 0;
			$this->data['message'] = $e->getMessage();
		}
		return response()->json($this->data);
	}
}
